
#ifndef TCPPROTOCOLONFIGURATOR_H_
#define TCPPROTOCOLONFIGURATOR_H_

#include <Base_Configurator.h>
#include <TCP_Protocol.h>


class TCPProtocolConfigurator : public BaseConfigurator{

public:
	TCPProtocolConfigurator(int argc, char **argv);
	TCPProtocolConfigurator();

	void setHost(std::string val){this->params["host"] = val;}
	void setPort(int val){this->params["port"] = std::to_string(val);}

	std::map<std::string,std::string> getParams(){return this->params;}
	std::string getHost(){return this->params["host"];}
	int getPort(){return stoi(this->params["port"]);}

	BaseProtocol * createProtocol();
	TCPProtocol * createTCPProtocol();
	void createTCPProtocol(TCPProtocol &);



	void printConfiguration(){
		std::string confStr = "TCP Protocol Configuration:\n" + this->toString();
		std::cout << confStr << std::endl;
	}

};

#endif
